<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Store extends Eloquent {

	protected $table = 'stores';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('item_id', 'provider_id', 'count_item', 'total_amount', 'created_by', 'updated_by');

	public function item()
	{
		return $this->belongsTo('App\Models\Item', 'item_id');
	}

	public function provider()
	{
		return $this->belongsTo('App\Models\Provider', 'provider_id');
	}

}